<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <p id="text">Какой-нибудь текст</p>
    <button onmouseover="changeColor('blue');">Синий</button>
    <button onclick="changeColor('red');">Красный</button>
    <br>
    <form name="myForm" action="" onsubmit="return validateForm()" method="post">
        Имя: <input type="text" name="fname">
        Телефон: <input type="text" name="ftel">
        <input type="submit" value="Submit">
    </form>
    <script>
        function validateForm () {
            var element = document.forms["myForm"]["fname"].value;
            var tel = document.forms["myForm"]["ftel"].value;
            if (element == "") {
                alert ("Имя должно быть заполнено");
                return false;
            } else if (tel == "") {
                alert ("Укажите ваш телефон");
                return false;
            }
        }
        function changeColor (newColor) {
            var element = document.getElementById("text");
            element.style.color = newColor;
        }

        // Объекты в JavaScript

        // function Fruit (color, shape) {
        //     this.color = color;
        //     this.shape = shape;
        // }
    
        // var melon = new Fruit ('yellow', 'round');
        // var apple = new Fruit ('red', 'round');
    
        // var apple = new Object ();
        // apple.color = 'green';
        // apple.shape = 'round';

        // melon.describe = function () {
        //     return 'A melon is ' + this.color;
        // }
        // console.log (melon.describe ());
    
        // Создание объектов

        // var person = {
        //     firstName: 'Brad',
        //     age: 45,
        //     children: ['Liza', 'Perya'],
        //     adress: {
        //         street: '555 Some st',
        //         city: 'Boston',
        //         state: 'MA'
        //     },
        //     NameAge: function () {
        //         return this.firstName + ", age is - " + this.age;
        //     }
        // }
        // console.log (person.NameAge ());

        // Функции

        // function summ (a, b) {
        //     return a + b;
        // }
    
        // document.write (summ (23, 34));

        // Операторы условий

        // var num_1 = 223;
        // var num_2 = 223;
        // if (num_1 > num_2) {
        //     console.log(num_1 + " > " + num_2);
        // } else if (num_1 == num_2) {
        //     console.log(num_1 + " = " + num_2);
        // } else {
        //     console.log(num_1 + " <  " + num_2)
        // }

        // var bool = false; 
        // if (!bool && num_1 == 223) {
        //     console.log(bool + " is false"); 
        // } 

        // Циклы

        // var colors = new Array ("Red", "Blue", "Green");
        // for (var i = 0; i < colors.length; i++)
        //     console.log(colors [i]);
 
        // var i = 20;
        // do {
        //     console.log(i)
        // }   while(i < 10)

        // var i = 200;
        // while (i >= 10) {
        //     console.log(i);
        //     i /= 2;
        // }
        // for (var i = 100;i >= 10; i -= 10) {
        //     console.log(i);
        // }

        // Массивы

        // var colors = new Array("Red", "Blue", "Green");
        // colors.push("Grey");
        // document.write(colors[0] + colors[2]);
        // var colors = new Array("Red", "Blue", "Green");
        // colors.push("Grey");
        // document.write(colors[3])
        
        // var colors = new Array("Red", "Blue", "Green");
        // colors[3] = "Grey";
        // document.write(colors[3])
        // var colors = ["Red", "Blue", "Green"];
        // document.write(colors[0])
        
        // Математические операции

        // var firstNum = 12;
        // var secondNum = 24;
        // firstNum--;
        // document.write(Math.ceil(2.01) + "<br>")
        // document.write(Math.floor(2.01) + "<br>")
        // document.write(Math.round(2.99) + "<br>")
        // document.write(Math.abs(-222) + "<br>")
        // document.write("Результат:", firstNum % secondNum);

        // Работа с переменными
        
        // var num = 1.45;
        // var Num = "String";
        // var bool = true;
        // console.log(bool);

        // var name = prompt("Как вас зовут?")
        // console.log("Ваше имя " + name);
    </script>
</body>
</html>